StarObjectSmallGraphicInternal::SDUDGraphicAnimation Class Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
StarObjectSmallGraphicInternal::SDUDGraphicAnimation Class Referencefinal

Internal: virtual class to store a SDUD graphic animation. More...

Inheritance diagram for StarObjectSmallGraphicInternal::SDUDGraphicAnimation:

## Public Member Functions
| SDUDGraphicAnimation ()
| constructor More...
| ~SDUDGraphicAnimation () override
| destructor More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDUDGraphic
| SDUDGraphic (int id)
| constructor More...
| ~SDUDGraphic () override
| destructor More...
std::string | getName () const override
| return the object name More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::SDRUserData
| SDRUserData (int id=-1)
std::string | getName () const override
| return the object name More...
std::string | print () const override
| basic print function More...
Public Member Functions inherited from StarObjectSmallGraphicInternal::Graphic
| Graphic (int id)
| constructor More...
virtual | ~Graphic ()
| destructor More...
virtual std::string | print () const
| basic print function More...
virtual std::string | getName () const =0
| return the object name More...
virtual bool | send (STOFFListenerPtr &, STOFFFrameStyle const &, StarObject &, bool)
| try to send the graphic to the listener More...

## Public Attributes
std::vector< STOFFVec2i > | m_polygon
| the polygon More...
STOFFVec2i | m_limits [2]
| the limits start, end More...
int | m_values [8]
| the values: presentation effect, speed, clickAction, presentation effect[second], speed[second], invisible, verb, text effect More...
STOFFColor | m_colors [2]
| the colors More...
bool | m_flags [3]
| some flags : active, dim[previous], isMovie More...
bool | m_booleans [5]
| some bool : hasSound, playFull, sound[second], playFull[second], dim[hide] More...
librevenge::RVNGString | m_names [3]
| the names : sound file, bookmark, sound file[second] More...
int | m_order
| the presentation order More...
Public Attributes inherited from StarObjectSmallGraphicInternal::Graphic
int | m_identifier
| the type More...

## Friends
std::ostream & | operator<< (std::ostream &o, SDUDGraphicAnimation const &graph)
| print object data More...

## Detailed Description

Internal: virtual class to store a SDUD graphic animation.

## Constructor & Destructor Documentation

## ◆ SDUDGraphicAnimation()

StarObjectSmallGraphicInternal::SDUDGraphicAnimation::SDUDGraphicAnimation | ( |  | ) |
| inline

constructor

## ◆ ~SDUDGraphicAnimation()

StarObjectSmallGraphicInternal::SDUDGraphicAnimation::~SDUDGraphicAnimation | ( |  | ) |
| override

destructor

## Member Function Documentation

## ◆ print()

std::string StarObjectSmallGraphicInternal::SDUDGraphicAnimation::print | ( |  | ) | const
| inlineoverridevirtual

basic print function

Reimplemented from StarObjectSmallGraphicInternal::SDUDGraphic.

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SDUDGraphicAnimation const & | graph
| ) |  |
| friend

print object data

## Member Data Documentation

## ◆ m_booleans

bool StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_booleans[5]

some bool : hasSound, playFull, sound[second], playFull[second], dim[hide]

Referenced by SDUDGraphicAnimation().

## ◆ m_colors

STOFFColor StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_colors[2]

the colors

Referenced by SDUDGraphicAnimation().

## ◆ m_flags

bool StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_flags[3]

some flags : active, dim[previous], isMovie

Referenced by SDUDGraphicAnimation().

## ◆ m_limits

STOFFVec2i StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_limits[2]

the limits start, end

## ◆ m_names

librevenge::RVNGString StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_names[3]

the names : sound file, bookmark, sound file[second]

## ◆ m_order

int StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_order

the presentation order

## ◆ m_polygon

std::vector<STOFFVec2i> StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_polygon

the polygon

## ◆ m_values

int StarObjectSmallGraphicInternal::SDUDGraphicAnimation::m_values[8]

the values: presentation effect, speed, clickAction, presentation effect[second], speed[second], invisible, verb, text effect

Referenced by SDUDGraphicAnimation().

The documentation for this class was generated from the following file:

- StarObjectSmallGraphic.cxx